All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
ViennaCLBackend_impl Struct Reference

Generic backend for CUDA, OpenCL, host-based stuff. More...

`#include <viennacl_private.hpp>`

## Public Attributes

ViennaCLBackendTypes | backend_type
ViennaCLCUDABackend_impl | cuda_backend
ViennaCLOpenCLBackend_impl | opencl_backend
ViennaCLHostBackend_impl | host_backend

## Detailed Description

Generic backend for CUDA, OpenCL, host-based stuff.

Examples:
  examples/tutorial/libviennacl.cpp.

Definition at line 54 of file viennacl_private.hpp.

## Member Data Documentation

ViennaCLBackendTypes ViennaCLBackend_impl::backend_type

Definition at line 56 of file viennacl_private.hpp.

ViennaCLCUDABackend_impl ViennaCLBackend_impl::cuda_backend

Definition at line 58 of file viennacl_private.hpp.

ViennaCLHostBackend_impl ViennaCLBackend_impl::host_backend

Definition at line 60 of file viennacl_private.hpp.

ViennaCLOpenCLBackend_impl ViennaCLBackend_impl::opencl_backend

Definition at line 59 of file viennacl_private.hpp.

The documentation for this struct was generated from the following file:

- libviennacl/src/viennacl_private.hpp